Eclipse Platform Release 3.7

## org.eclipse.core.databinding.observable.map
Interface IObservableMap

All Superinterfaces:
  IObservable, Map

All Known Implementing Classes:
  AbstractObservableMap, BidiObservableMap, BidirectionalMap, CompositeMap, ComputedObservableMap, DecoratingObservableMap, ObservableMap, WritableMap

    public interface IObservableMap

extends Map, IObservable

Observable Map.

Since:
  1.1
See Also:
  `AbstractObservableMap`, `ObservableMap`
Restriction:
  This interface is not intended to be implemented by clients. Clients should instead subclass one of the classes that implement this interface. Note that direct implementers of this interface outside of the framework will be broken in future releases when methods are added to this interface.

Nested Class Summary

Nested classes/interfaces inherited from interface java.util.Map
`Map.Entry<K,V>`

Method Summary
`void` `addMapChangeListener(IMapChangeListener listener)`
`boolean` `containsKey(Object key)`
`boolean` `containsValue(Object value)`
`Set` `entrySet()`
`boolean` `equals(Object o)`
`Object` `get(Object key)`
`Object` `getKeyType()` Returns the element type for the `keyset` of this observable map, or `null` if the keyset is untyped.
`Object` `getValueType()` Returns the element type for the `values` of this observable map, or `null` if the values collection is untyped.
`int` `hashCode()`
`boolean` `isEmpty()`
`Set` `keySet()`
`Object` `put(Object key, Object value)`
`Object` `remove(Object key)`
`void` `removeMapChangeListener(IMapChangeListener listener)`
`int` `size()`
`Collection` `values()`

Methods inherited from interface java.util.Map
`clear, putAll`

Methods inherited from interface org.eclipse.core.databinding.observable.IObservable
`addChangeListener, addDisposeListener, addStaleListener, dispose, getRealm, isDisposed, isStale, removeChangeListener, removeDisposeListener, removeStaleListener`

Method Detail

### getKeyType

    Object getKeyType()

  Returns the element type for the `keyset` of this observable map, or `null` if the keyset is untyped.

  Returns:
    the element type for the `keyset` of this observable map, or `null` if the keyset is untyped.
  Since:
    1.2

### getValueType

    Object getValueType()

  Returns the element type for the `values` of this observable map, or `null` if the values collection is untyped.

  Returns:
    the element type for the `values` of this observable map, or `null` if the values collection is untyped.
  Since:
    1.2

### addMapChangeListener

    void addMapChangeListener(IMapChangeListener listener)

  Parameters:
    `listener` -

### removeMapChangeListener

    void removeMapChangeListener(IMapChangeListener listener)

  Parameters:
    `listener` -

### size

    int size()

  Specified by:
    `size` in interface `Map`
  "TrackedGetter"

### isEmpty

    boolean isEmpty()

  Specified by:
    `isEmpty` in interface `Map`
  "TrackedGetter"

### containsKey

    boolean containsKey(Object key)

  Specified by:
    `containsKey` in interface `Map`
  "TrackedGetter"

### containsValue

    boolean containsValue(Object value)

  Specified by:
    `containsValue` in interface `Map`
  "TrackedGetter"

### get

    Object get(Object key)

  Specified by:
    `get` in interface `Map`
  "TrackedGetter"

### put

    Object put(Object key,
               Object value)

  Specified by:
    `put` in interface `Map`

### remove

    Object remove(Object key)

  Specified by:
    `remove` in interface `Map`

### keySet

    Set keySet()

  Specified by:
    `keySet` in interface `Map`
  "TrackedGetter"

### values

    Collection values()

  Specified by:
    `values` in interface `Map`
  "TrackedGetter"

### entrySet

    Set entrySet()

  Specified by:
    `entrySet` in interface `Map`
  "TrackedGetter"

### equals

    boolean equals(Object o)

  Specified by:
    `equals` in interface `Map`
  Overrides:
    `equals` in class `Object`
  "TrackedGetter"

### hashCode

    int hashCode()

  Specified by:
    `hashCode` in interface `Map`
  Overrides:
    `hashCode` in class `Object`
  "TrackedGetter"

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.